DOM::HTMLIFrameElement Class Reference

`#include <html_base.h>`

Inheritance diagram for DOM::HTMLIFrameElement:

## Public Member Functions

| HTMLIFrameElement (const HTMLIFrameElement &other)
| HTMLIFrameElement (const Node &other)
HTMLIFrameElement & | operator= (const HTMLIFrameElement &other)
HTMLIFrameElement & | operator= (const Node &other)
DOMString | align () const
void | setAlign (const DOMString &)
DOMString | frameBorder () const
void | setFrameBorder (const DOMString &)
DOMString | height () const
void | setHeight (const DOMString &)
DOMString | longDesc () const
void | setLongDesc (const DOMString &)
DOMString | marginHeight () const
void | setMarginHeight (const DOMString &)
DOMString | marginWidth () const
void | setMarginWidth (const DOMString &)
DOMString | name () const
void | setName (const DOMString &)
DOMString | scrolling () const
void | setScrolling (const DOMString &)
DOMString | src () const
void | setSrc (const DOMString &)
DOMString | width () const
void | setWidth (const DOMString &)
Document | contentDocument () const
Public Member Functions inherited from DOM::HTMLElement
| HTMLElement (const HTMLElement &other)
| HTMLElement (const Node &other)
HTMLElement & | operator= (const HTMLElement &other)
HTMLElement & | operator= (const Node &other)
DOMString | id () const
void | setId (const DOMString &)
DOMString | title () const
void | setTitle (const DOMString &)
DOMString | lang () const
void | setLang (const DOMString &)
DOMString | dir () const
void | setDir (const DOMString &)
DOMString | className () const
void | setClassName (const DOMString &)
DOMString | innerHTML () const
void | setInnerHTML (const DOMString &html)
DOMString | innerText () const
void | setInnerText (const DOMString &text)
HTMLCollection | children () const
HTMLCollection | all () const
void | removeCSSProperty (const DOMString &property)
void | addCSSProperty (const DOMString &property, const DOMString &value)
Public Member Functions inherited from DOM::Element
| Element (const Node &other)
| Element (const Element &other)
Element & | operator= (const Node &other)
Element & | operator= (const Element &other)
DOMString | tagName () const
DOMString | getAttribute (const DOMString &name)
void | setAttribute (const DOMString &name, const DOMString &value)
void | removeAttribute (const DOMString &name)
Attr | getAttributeNode (const DOMString &name)
Attr | setAttributeNode (const Attr &newAttr)
Attr | removeAttributeNode (const Attr &oldAttr)
NodeList | getElementsByTagName (const DOMString &name)
NodeList | getElementsByTagNameNS (const DOMString &namespaceURI, const DOMString &localName)
DOMString | getAttributeNS (const DOMString &namespaceURI, const DOMString &localName)
void | setAttributeNS (const DOMString &namespaceURI, const DOMString &qualifiedName, const DOMString &value)
void | removeAttributeNS (const DOMString &namespaceURI, const DOMString &localName)
Attr | getAttributeNodeNS (const DOMString &namespaceURI, const DOMString &localName)
Attr | setAttributeNodeNS (const Attr &newAttr)
bool | hasAttribute (const DOMString &name)
bool | hasAttributeNS (const DOMString &namespaceURI, const DOMString &localName)
CSSStyleDeclaration | style ()
bool | contentEditable () const
void | setContentEditable (bool enabled)
bool | isHTMLElement () const
Element | form () const
Public Member Functions inherited from DOM::Node
| Node (const Node &other)
| Node (NodeImpl *_impl)
Node & | operator= (const Node &other)
bool | operator== (const Node &other) const
bool | operator!= (const Node &other) const
DOMString | nodeName () const
DOMString | nodeValue () const
void | setNodeValue (const DOMString &)
unsigned short | nodeType () const
Node | parentNode () const
NodeList | childNodes () const
Node | firstChild () const
Node | lastChild () const
Node | previousSibling () const
Node | nextSibling () const
NamedNodeMap | attributes () const
Document | ownerDocument () const
Node | insertBefore (const Node &newChild, const Node &refChild)
Node | replaceChild (const Node &newChild, const Node &oldChild)
Node | removeChild (const Node &oldChild)
Node | appendChild (const Node &newChild)
bool | hasChildNodes ()
Node | cloneNode (bool deep)
void | normalize ()
bool | isSupported (const DOMString &feature, const DOMString &version) const
DOMString | namespaceURI () const
DOMString | prefix () const
void | setPrefix (const DOMString &prefix)
DOMString | localName () const
bool | hasAttributes ()
DOMString | textContent () const
void | setTextContent (const DOMString &content) const
void | addEventListener (const DOMString &type, EventListener *listener, const bool useCapture)
void | removeEventListener (const DOMString &type, EventListener *listener, bool useCapture)
bool | dispatchEvent (const Event &evt)
Q_UINT32 | elementId () const
bool | isNull () const
NodeImpl * | handle () const
unsigned long | index () const
QString | toHTML () KDE_DEPRECATED
void | applyChanges ()
void | getCursor (int offset, int &_x, int &_y, int &height) KDE_DEPRECATED
QRect | getRect ()

## Protected Member Functions

| HTMLIFrameElement (HTMLIFrameElementImpl *impl)
Protected Member Functions inherited from DOM::HTMLElement
| HTMLElement (HTMLElementImpl *impl)
void | assignOther (const Node &other, int elementId)
Protected Member Functions inherited from DOM::Element
| Element (ElementImpl *_impl)

## Additional Inherited Members

Public Types inherited from DOM::Node
enum | NodeType { ELEMENT_NODE = 1, ATTRIBUTE_NODE = 2, TEXT_NODE = 3, CDATA_SECTION_NODE = 4, ENTITY_REFERENCE_NODE = 5, ENTITY_NODE = 6, PROCESSING_INSTRUCTION_NODE = 7, COMMENT_NODE = 8, DOCUMENT_NODE = 9, DOCUMENT_TYPE_NODE = 10, DOCUMENT_FRAGMENT_NODE = 11, NOTATION_NODE = 12 }
Static Public Member Functions inherited from DOM::Element
static bool | khtmlValidAttrName (const DOMString &name)
static bool | khtmlValidPrefix (const DOMString &name)
static bool | khtmlValidQualifiedName (const DOMString &name)
static bool | khtmlMalformedQualifiedName (const DOMString &name)
static bool | khtmlMalformedPrefix (const DOMString &name)
Protected Attributes inherited from DOM::Node
NodeImpl * | impl

## Detailed Description

Inline subwindows.

See the IFRAME element definition in HTML 4.0.

Definition at line 362 of file html_base.h.

## Member Function Documentation

DOMString HTMLIFrameElement::align | ( |  | ) | const

Aligns this object (vertically or horizontally) with respect to its surrounding text.

See the align attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

Definition at line 283 of file html_base.cpp.

Document HTMLIFrameElement::contentDocument | ( |  | ) | const

Introduced in DOM Level 2.

Returns the document this iframe contains, if there is any and it is available, a Null document otherwise. The attribute is read-only.

Returns
  The content Document if available.

Definition at line 394 of file html_base.cpp.

DOMString HTMLIFrameElement::frameBorder | ( |  | ) | const

Request frame borders.

See the frameborder attribute definition in HTML 4.0.

Definition at line 294 of file html_base.cpp.

DOMString HTMLIFrameElement::height | ( |  | ) | const

Frame height.

See the height attribute definition in HTML 4.0.

Definition at line 305 of file html_base.cpp.

DOMString HTMLIFrameElement::longDesc | ( |  | ) | const

URI designating a long description of this image or frame.

See the longdesc attribute definition in HTML 4.0.

Definition at line 316 of file html_base.cpp.

DOMString HTMLIFrameElement::marginHeight | ( |  | ) | const

Frame margin height, in pixels.

See the marginheight attribute definition in HTML 4.0.

Definition at line 327 of file html_base.cpp.

DOMString HTMLIFrameElement::marginWidth | ( |  | ) | const

Frame margin width, in pixels.

See the marginwidth attribute definition in HTML 4.0.

Definition at line 338 of file html_base.cpp.

DOMString HTMLIFrameElement::name | ( |  | ) | const

The frame name (object of the `target` attribute).

See the name attribute definition in HTML 4.0.

Definition at line 349 of file html_base.cpp.

DOMString HTMLIFrameElement::scrolling | ( |  | ) | const

Specify whether or not the frame should have scrollbars.

See the scrolling attribute definition in HTML 4.0.

Definition at line 360 of file html_base.cpp.

void HTMLIFrameElement::setAlign | ( | const DOMString & | value | ) |

see align

Definition at line 289 of file html_base.cpp.

void HTMLIFrameElement::setFrameBorder | ( | const DOMString & | value | ) |

see frameBorder

Definition at line 300 of file html_base.cpp.

void HTMLIFrameElement::setHeight | ( | const DOMString & | value | ) |

see height

Definition at line 311 of file html_base.cpp.

void HTMLIFrameElement::setLongDesc | ( | const DOMString & | value | ) |

see longDesc

Definition at line 322 of file html_base.cpp.

void HTMLIFrameElement::setMarginHeight | ( | const DOMString & | value | ) |

see marginHeight

Definition at line 333 of file html_base.cpp.

void HTMLIFrameElement::setMarginWidth | ( | const DOMString & | value | ) |

see marginWidth

Definition at line 344 of file html_base.cpp.

void HTMLIFrameElement::setName | ( | const DOMString & | value | ) |

see name

Definition at line 355 of file html_base.cpp.

void HTMLIFrameElement::setScrolling | ( | const DOMString & | value | ) |

see scrolling

Definition at line 366 of file html_base.cpp.

void HTMLIFrameElement::setSrc | ( | const DOMString & | value | ) |

see src

Definition at line 378 of file html_base.cpp.

void HTMLIFrameElement::setWidth | ( | const DOMString & | value | ) |

see width

Definition at line 389 of file html_base.cpp.

DOMString HTMLIFrameElement::src | ( |  | ) | const

A URI designating the initial frame contents.

See the src attribute definition in HTML 4.0.

Definition at line 371 of file html_base.cpp.

DOMString HTMLIFrameElement::width | ( |  | ) | const

Frame width.

See the width attribute definition in HTML 4.0.

Definition at line 383 of file html_base.cpp.

The documentation for this class was generated from the following files:

- html_base.h
- html_base.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys